DEB-VCS-PUBLISH(1)

NAME
deb-vcs-publish - Publish a Debian package to its VCS repository

SYNOPSIS
deb-vcs-publish [OPTIONS] [URL]

DESCRIPTION
deb-vcs-publish updates the Vcs-Git/Vcs-Browser fields in debian/control based on the hosting location of the repository, creates the remote repository if it does not exist yet, and pushes the current branch to it.

  positional arguments:

URL URL of the VCS repository to publish to. If not specified, derived from the existing Vcs-* fields in debian/control.

  optional arguments:

-h, --help
    Show this help message and exit.

-V, --version
    Show program's version number and exit.

-d, --directory DIR
    Directory to run in. Defaults to the current directory.

--no-create
    Do not create the remote repository if it does not exist.

--force
    Overwrite existing Vcs-* fields in debian/control.

--debug
    Enable debug output.

--identity
    Print user identity that would be used when committing.

SEE ALSO
lintian-brush(1)

AUTHORS
Jelmer Vernooij <jelmer@debian.org>